import { connect } from "react-redux";
import { createStructuredSelector } from "reselect";
import { selectBodyshop } from "../../redux/user/user.selectors";
import JobLifecycleComponent from "../job-lifecycle/job-lifecycle.component";

const mapStateToProps = createStructuredSelector({
  bodyshop: selectBodyshop
});

const mapDispatchToProps = () => ({});

export default connect(mapStateToProps, mapDispatchToProps)(JobCloseRoGuardTTLifeCycle);

export function JobCloseRoGuardTTLifeCycle({ job, bodyshop }) {
  return (
    <div>
      <JobLifecycleComponent job={job} statuses={bodyshop.md_ro_statuses} />
    </div>
  );
}
